from typing import List, cast

from sziszapangma.model.model import Document, Word
from sziszapangma.model.relation_manager import RelationManager


class TaskUtil:
    @staticmethod
    def get_words_from_record(relation_manager: RelationManager) -> List[Word]:
        document = cast(
            Document,
            [itt for itt in relation_manager.get_all_items() if itt["type"] == "Document"][0],
        )
        return [
            cast(Word, relation_manager.get_item_by_id(item_id)) for item_id in document["word_ids"]
        ]

    @staticmethod
    def _word_to_lower(word: Word) -> Word:
        return Word(id=word["id"], type="Word", text=word["text"].lower())

    @staticmethod
    def words_to_lower(words: List[Word]) -> List[Word]:
        return [TaskUtil._word_to_lower(it) for it in words]
